Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQDataFactory

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQDataFactory

All Implemented Interfaces:
  XQDataFactory

Direct Known Subclasses:
  SaxonXQConnection, SaxonXQDataSource

    public abstract class SaxonXQDataFactory

extends Object
implements XQDataFactory

Saxon implementation of the XQJ interface XQDataFactory. This is an abstract superclass for SaxonXQDataSource and SaxonXQConnection, both of which provide the factory methods in this interface.

For Javadoc specifications of the public methods in this class, see the XQJ documentation.

Constructor Summary
`SaxonXQDataFactory()`

Method Summary
`XQItemType` | `createAtomicItemType(int baseType)` Create an atomic item type object representing a particular built-in atomic type
`XQItem` | `createItem(XQItem item)`
`XQItem` | `createItemFromAtomicValue(String value, XQItemType type)`
`XQItem` | `createItemFromBoolean(boolean value, XQItemType type)`
`XQItem` | `createItemFromByte(byte value, XQItemType type)`
`XQItem` | `createItemFromDocument(InputSource source)`
`XQItem` | `createItemFromDouble(double value, XQItemType type)`
`XQItem` | `createItemFromFloat(float value, XQItemType type)`
`XQItem` | `createItemFromInt(int value, XQItemType type)`
`XQItem` | `createItemFromLong(long value, XQItemType type)`
`XQItem` | `createItemFromNode(Node value, XQItemType type)`
`XQItem` | `createItemFromObject(Object value, XQItemType type)`
`XQItem` | `createItemFromShort(short value, XQItemType type)`
`XQItemType` | `createItemType(int itemkind, int basetype, QName nodename)`
`XQItemType` | `createItemType(int itemkind, int basetype, QName nodename, QName typename, URI schemaURI, boolean nillable)`
`XQSequence` | `createSequence(Iterator i)`
`XQSequence` | `createSequence(XQSequence s)`
`XQSequenceType` | `createSequenceType(XQItemType item, int occurrence)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonXQDataFactory

    public SaxonXQDataFactory()

Method Detail

### createAtomicItemType

    public XQItemType createAtomicItemType(int baseType)
                                    throws XQException

  Create an atomic item type object representing a particular built-in atomic type

  Specified by:
    `createAtomicItemType` in interface `XQDataFactory`
  Parameters:
    `baseType` - the built-in atomic type, typically a constant such as XQItemType.XQBASETYPE_BOOLEAN
  Returns:
    the corresponding XQItemType
  Throws:
    `XQException` - if the supplied baseType parameter is not an atomic type

### createItem

    public XQItem createItem(XQItem item)

  Specified by:
    `createItem` in interface `XQDataFactory`

### createItemFromAtomicValue

    public XQItem createItemFromAtomicValue(String value,
                                            XQItemType type)
                                     throws XQException

  Specified by:
    `createItemFromAtomicValue` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromBoolean

    public XQItem createItemFromBoolean(boolean value,
                                        XQItemType type)
                                 throws XQException

  Specified by:
    `createItemFromBoolean` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromByte

    public XQItem createItemFromByte(byte value,
                                     XQItemType type)
                              throws XQException

  Specified by:
    `createItemFromByte` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromDocument

    public XQItem createItemFromDocument(InputSource source)
                                  throws XQException,
                                         IOException

  Specified by:
    `createItemFromDocument` in interface `XQDataFactory`
  Throws:
    `XQException`
    `IOException`

### createItemFromDouble

    public XQItem createItemFromDouble(double value,
                                       XQItemType type)
                                throws XQException

  Specified by:
    `createItemFromDouble` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromFloat

    public XQItem createItemFromFloat(float value,
                                      XQItemType type)
                               throws XQException

  Specified by:
    `createItemFromFloat` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromInt

    public XQItem createItemFromInt(int value,
                                    XQItemType type)
                             throws XQException

  Specified by:
    `createItemFromInt` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromLong

    public XQItem createItemFromLong(long value,
                                     XQItemType type)
                              throws XQException

  Specified by:
    `createItemFromLong` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromNode

    public XQItem createItemFromNode(Node value,
                                     XQItemType type)
                              throws XQException

  Specified by:
    `createItemFromNode` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromObject

    public XQItem createItemFromObject(Object value,
                                       XQItemType type)
                                throws XQException

  Specified by:
    `createItemFromObject` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemFromShort

    public XQItem createItemFromShort(short value,
                                      XQItemType type)
                               throws XQException

  Specified by:
    `createItemFromShort` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemType

    public XQItemType createItemType(int itemkind,
                                     int basetype,
                                     QName nodename)
                              throws XQException

  Specified by:
    `createItemType` in interface `XQDataFactory`
  Throws:
    `XQException`

### createItemType

    public XQItemType createItemType(int itemkind,
                                     int basetype,
                                     QName nodename,
                                     QName typename,
                                     URI schemaURI,
                                     boolean nillable)
                              throws XQException

  Specified by:
    `createItemType` in interface `XQDataFactory`
  Throws:
    `XQException`

### createSequence

    public XQSequence createSequence(Iterator i)
                              throws XQException

  Specified by:
    `createSequence` in interface `XQDataFactory`
  Throws:
    `XQException`

### createSequence

    public XQSequence createSequence(XQSequence s)
                              throws XQException

  Specified by:
    `createSequence` in interface `XQDataFactory`
  Throws:
    `XQException`

### createSequenceType

    public XQSequenceType createSequenceType(XQItemType item,
                                             int occurrence)
                                      throws XQException

  Specified by:
    `createSequenceType` in interface `XQDataFactory`
  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.